
%global meadversion 4.0.3
%global namedversion 4.0.3.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package protoparser}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.3.redhat-00001

Name:           %{?scl_prefix}protoparser
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Basic parser for protocol buffer schema declarations
Group:          Development/Java

%if %with mead
Source100: protoparser-4.0.3.redhat-00001-project-sources.tar.gz
Source102: protoparser-4.0.3.redhat-00001.jar
Source103: protoparser-4.0.3.redhat-00001.pom
Source104: protoparser-4.0.3.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            http://github.com/square/protoparser/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for protoparser
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n protoparser-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/protoparser-%{namedversion}.jar %{buildroot}%{_javadir}/protoparser-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/protoparser-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/protoparser-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/protoparser-%{namedversion}-sources.jar %{buildroot}%{_javadir}/protoparser-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/protoparser-%{namedversion}-tests.jar %{buildroot}%{_javadir}/protoparser-%{namedversion}-tests.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/protoparser-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/protoparser-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/protoparser-%{namedversion} -x META-INF/\*
%{__ln_s} protoparser-%{namedversion} %{buildroot}%{_javadocdir}/protoparser
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md CHANGELOG.md CONTRIBUTING.md
%{_javadir}/protoparser-%{namedversion}.jar
%{_javadir}/protoparser.jar
%if %with javadoc
%{_javadir}/protoparser-%{namedversion}-javadoc.jar
%{_javadir}/protoparser-javadoc.jar
%endif
%{_javadir}/protoparser-%{namedversion}-sources.jar
%{_javadir}/protoparser-sources.jar
%if %with tests
%{_javadir}/protoparser-%{namedversion}-tests.jar
%{_javadir}/protoparser-tests.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/protoparser-%{namedversion}
%{_javadocdir}/protoparser
%endif

%changelog
* Tue Jun 06 2023 Yong Yang <yyang@redhat.com> - 4.0.3-1.redhat_00001.1
- Init release
